For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
      • GETReturns all document spaces.
      • POSTCreates a new document space.
      • GETReturns the document space with the specified id.
      • PUTUpdates the document space with the specified id.
      • DELDeletes the document space with the specified id.
      • POSTAdds a list of document space contributors to a document space.
      • PUTUpdates the access of a document space contributor to the document space with the specified id.
      • DELDeletes the document space contributor with the specified id from a document space.
      • POSTAdds teams to the document space with the specified id.
      • PUTUpdates the access of a team to the document space with the specified id.
      • DELDeletes the team with the specified id from a document space.
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDocument Spaces

Returns the document space with the specified id.

GET
https://api.awork.com/api/v1/documentspaces/:documentSpaceId
GET
/api/v1/documentspaces/:documentSpaceId
$curl https://api.awork.com/api/v1/documentspaces/documentSpaceId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "id": "9f8b7c6d-1234-4a56-b789-0cdef1234567",
3 "createdOn": "2023-11-20T10:15:30.000Z",
4 "createdBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
5 "updatedOn": "2024-04-10T16:45:00.000Z",
6 "updatedBy": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "name": "Marketing Strategy Document",
8 "currentDocumentVersionId": "b2c3d4e5-f678-9012-abcd-ef3456789012",
9 "documentSpaceId": "c3d4e5f6-7890-1234-abcd-ef5678901234",
10 "documentSpace": {
11 "id": "c3d4e5f6-7890-1234-abcd-ef5678901234",
12 "createdOn": "2023-01-15T08:00:00.000Z",
13 "createdBy": "d4e5f678-9012-3456-abcd-ef7890123456",
14 "updatedOn": "2024-02-20T14:30:00.000Z",
15 "updatedBy": "d4e5f678-9012-3456-abcd-ef7890123456",
16 "name": "Marketing Documents",
17 "isExternal": false,
18 "emoji": "📄",
19 "color": "blue",
20 "order": 2.5,
21 "workspaceAccessLevel": "read",
22 "contributors": [
23 {
24 "id": "e5f67890-1234-5678-abcd-ef9012345678",
25 "userId": "f6789012-3456-7890-abcd-ef0123456789",
26 "accessLevel": "manage",
27 "firstName": "Lisa",
28 "lastName": "Smith",
29 "hasImage": true,
30 "isDeactivated": false
31 }
32 ],
33 "teams": [
34 {
35 "id": "f6789012-3456-7890-abcd-ef1234567890",
36 "teamId": "78901234-5678-90ab-cdef-1234567890ab",
37 "accessLevel": "read",
38 "name": "Designers",
39 "icon": "paintbrush",
40 "color": "purple"
41 }
42 ]
43 },
44 "parentId": "01234567-89ab-cdef-0123-456789abcdef",
45 "projectId": "12345678-9abc-def0-1234-56789abcdef0",
46 "project": {
47 "id": "12345678-9abc-def0-1234-56789abcdef0",
48 "name": "Q2 Marketing Campaign",
49 "createdBy": "23456789-abcd-ef01-2345-6789abcdef01",
50 "teams": [
51 {
52 "id": "3456789a-bcde-f012-3456-789abcdef012",
53 "name": "Marketing Team"
54 }
55 ],
56 "members": [
57 {
58 "id": "456789ab-cdef-0123-4567-89abcdef0123",
59 "projectRoleId": "56789abc-def0-1234-5678-9abcdef01234",
60 "userId": "6789abcd-ef01-2345-6789-abcdef012345"
61 }
62 ],
63 "isPrivate": true,
64 "isExternal": false
65 },
66 "taskId": "789abcde-f012-3456-789a-bcdef0123456",
67 "emoji": "📝",
68 "isPrivate": false,
69 "order": 3.7,
70 "isExternal": false,
71 "isHiddenForConnectUsers": false,
72 "contributors": [
73 {
74 "id": "890abcdef-1234-5678-9abc-def012345678",
75 "userId": "90123456-789a-bcde-f012-3456789abcde",
76 "accessLevel": "read",
77 "firstName": "Mark",
78 "lastName": "Johnson",
79 "hasImage": false,
80 "isDeactivated": false,
81 "documentId": "9f8b7c6d-1234-4a56-b789-0cdef1234567",
82 "inheritedFromDocumentContributorId": "01234567-89ab-cdef-0123-456789abcdef",
83 "inheritedDocumentContributor": {
84 "documentId": "01234567-89ab-cdef-0123-456789abcdef",
85 "accessLevel": "read"
86 }
87 }
88 ],
89 "teams": [
90 {
91 "id": "a1234567-89ab-cdef-0123-456789abcdef",
92 "teamId": "b2345678-9abc-def0-1234-56789abcdef0",
93 "accessLevel": "manage",
94 "name": "Designers",
95 "icon": "paintbrush",
96 "color": "purple",
97 "documentId": "9f8b7c6d-1234-4a56-b789-0cdef1234567",
98 "inheritedFromDocumentToTeamId": "c3456789-abcd-ef01-2345-6789abcdef01",
99 "inheritedDocumentToTeam": {
100 "documentId": "c3456789-abcd-ef01-2345-6789abcdef01",
101 "accessLevel": "manage"
102 }
103 }
104 ],
105 "workspaceAccessLevel": "read",
106 "inheritedWorkspaceAccessFromDocumentId": "d456789a-bcde-f012-3456-789abcdef012",
107 "inheritedWorkspaceAccessFromDocument": {
108 "workspaceAccessLevel": "read"
109 },
110 "movedToTrashOn": "2024-01-15T09:30:00Z",
111 "movedToTrashBy": "e56789ab-cdef-0123-4567-89abcdef0123",
112 "rootDocumentCreatedBy": "f6789abc-def0-1234-5678-9abcdef01234"
113}
<Check title="Required Permissions" icon="key">The user must have at least `read` permissions for the specified document space.</Check>
Was this page helpful?
Previous

Updates the document space with the specified id.

Next
Built with
Required Permissions
The user must have at least read permissions for the specified document space.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

documentSpaceIdstringRequiredformat: "uuid"
The id of the document space to retrieve.

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the document.
currentDocumentVersionIdstring or nullformat: "uuid"
The id of the current document version.
documentSpaceIdstring or nullformat: "uuid"
The id of the document space.
documentSpaceobject
parentIdstring or nullformat: "uuid"
The id of the document's parent document.
projectIdstring or nullformat: "uuid"
The id of the project this document references.
projectobject
taskIdstring or nullformat: "uuid"
The id of the task this document references.
emojistring or null
The emoji of the document.
isPrivateboolean
Whether the document is private.
orderdouble or null
The order of the document in either the list of private docs, the referenced document space or in the referenced project.
isExternalboolean
Whether the document belongs to an external project.
isHiddenForConnectUsersboolean
Whether the document is hidden for connect users.
contributorslist of objects or null
The contributors of this document.
teamslist of objects or null
The teams this document is connected to.
workspaceAccessLevelstring or null

Determines the level of access to this document granted to all workspace users. Can be either not set (no access), read, or manage.

inheritedWorkspaceAccessFromDocumentIdstring or nullformat: "uuid"
The id of the document the workspace access level permission has been inherited from.
inheritedWorkspaceAccessFromDocumentobject
movedToTrashOnstring or nullformat: "date-time"
The date the document has been moved to the trash
movedToTrashBystring or nullformat: "uuid"
The id of the user that moved the document to the trash.
rootDocumentCreatedBystringformat: "uuid"
The user id of the creator of the root document of this document's document tree.

Errors

401
Unauthorized Error
404
Not Found Error